#include "EspClient.h"
#include <SoftwareSerial.h>

#define ST_SSID       "take-iPhone5s"
#define ST_PASSWD     "jpb67k42hgq5z"

#define SERVER_ADDR   "54.235.148.87"  // maker.ifttt.comのIPアドレス
#define SERVER_PORT   80

#define EVENT         "LM35"
#define SECRET_KEY    "cfgnjTDeWjksyiXVjKvDml"

int sw_pin = 10;
int sTx_pin = 12;
int sRx_pin = 11;
int lm35_pin = A0;
int lm35_value;

char  buf[128];
EspClient  esp(sRx_pin, sTx_pin);

void setup() {
  pinMode(sw_pin, INPUT);
  esp.begin(9600);
  esp.println("ESP8266IF3tTest");
  esp.atCwMode(STATION_MODE);
  esp.atCwJap(ST_SSID, ST_PASSWD);
}

void loop() {
  if (digitalRead(sw_pin) == LOW) {
    esp.println("SW pressed");
    // チャタリング防止
    delay(500);
    lm35_value = analogRead(lm35_pin);  // LM35から値を読み取る
    int temp10 = (int)((lm35_value*3.3)/1023.0*1000);  // 温度を0.1度までの整数に変換
    sprintf(buf, "temp=%d.%df", temp10/10, temp10%10);
    esp.println(buf);    
    esp.atCipStart(SERVER_ADDR, SERVER_PORT);
    sprintf(buf, "/trigger/%s/with/key/%s?value1=%d.%d", EVENT, SECRET_KEY, temp10/10, temp10%10);
    esp.atCipSend(buf, "maker.ifttt.com");      
  }
}
